Bug 722917 - Fedora 15 LXDE: Add Swiss-French keyboard layout in ibus
Fedora 15 LXDE: Add Swiss-French keyboard layout in ibus
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-18 09:17 EDT by nomnex
Modified: 2011-07-21 22:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 21:46:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nomnex 2011-07-18 09:17:37 EDT
Description of problem:

There is no French-Swiss keyboard layout available for my distribution in ibus.

Version-Release number of selected component (if applicable):

IBus 1.3.99.20110708

Additional info:

See bug upstream: http://code.google.com/p/ibus/issues/detail?id=1267

Thank you.
Comment 1 fujiwara 2011-07-19 02:09:18 EDT
You could enable "French (Switzerland)" keymap.

1. Run ibus-setup.
2. Select [Advanced] tab.
3. Click [Add or remove layouts in 'Select an input method' list]
4. Enable [French (Switzerland)] checkbutton.
5. Restart ibus to right click on ibus status icon and choose [Restart].
6. Run ibus-setup.
7. Choose [Input Method] tab.
8. Select [Select an input method] -> [French (Switzerland)] and click [Add] button.

Currently a few french layouts only are enabled by default.
I guess "French (Switzerland)" is enough for the option.
Comment 2 nomnex 2011-07-21 19:28:06 EDT
Thank you. I will read if an answer as been made, on the ibus Google group, regarding the correct usage of ibus preference settings.

Points (1 ~ 8) above generated:

connection.py:630:call_blocking:DBusException: org.freedesktop.DBus.Error.Failed: Can not find engine xkb:layout:ch:fr.

I had to add (9) French - French (Switzerland) in Keyboard layout. Is that correct?
Comment 3 fujiwara 2011-07-21 21:00:01 EDT
(In reply to comment #2)
> I had to add (9) French - French (Switzerland) in Keyboard layout. Is that
> correct?

Hmm..., quite interested.
It seems your xkeyboard-config is old.
Could you check the version and update the rpm?

% rpm -q xkeyboard-config
xkeyboard-config-2.3-2.fc15.noarch
# yum install xkeyboard-config

And the answer is yes.
Comment 4 nomnex 2011-07-21 21:13:59 EDT
(In reply to comment #3) 
> Hmm..., quite interested.
> It seems your xkeyboard-config is old.
> Could you check the version and update the rpm?
> 
> % rpm -q xkeyboard-config
> xkeyboard-config-2.3-2.fc15.noarch
> # yum install xkeyboard-config

It's the default distribution with all the update. here's the commands output:

[mt@nh28d ~]$ rpm -q xkeyboard-config xkeyboard-config-2.3-2.fc15.noarch
xkeyboard-config-2.3-2.fc15.noarch
xkeyboard-config-2.3-2.fc15.noarch

[root@nh28d ~]# yum install xkeyboard-config
Loaded plugins: langpacks, presto, refresh-packagekit
adobe-linux-i386                                        |  951 B     00:00     
rpmfusion-free-updates                                  | 2.7 kB     00:01     
rpmfusion-nonfree-updates                               | 2.7 kB     00:00     
updates/metalink                                        | 9.7 kB     00:00     
Setting up Install Process
Package xkeyboard-config-2.3-2.fc15.noarch already installed and latest version
Nothing to do
[root@nh28d ~]# 

> And the answer is yes.

I start to get the hang of it :) thank you.
Comment 5 fujiwara 2011-07-21 21:46:04 EDT
OK, I think your problem is resolved.

(In reply to comment #2)
> connection.py:630:call_blocking:DBusException:
> org.freedesktop.DBus.Error.Failed: Can not find engine xkb:layout:ch:fr.

This would be your another bug 720567.
I wonder what happens when you rename $HOME/.cache/ibus/bus/registry.xml to anything.
Comment 6 nomnex 2011-07-21 22:24:50 EDT
I just did, thank for the suggestion. To see if there is any change.

Note You need to log in before you can comment on or make changes to this bug.